package com.spring.domain.user.repository;

import java.util.Optional;
import java.util.UUID;

import org.springframework.data.jpa.repository.JpaRepository;

import com.spring.domain.user.entity.AgentUser;

public interface AgentUserRepository extends JpaRepository<AgentUser, UUID> {

    Optional<AgentUser> findByUserId(String userId);
    
    boolean existsByUserId(String userId);
    
}
